# StationClass Struct Reference

Struct containing information relating to station classes. More...

`#include <newgrf_station.h>`

## Data Fields

uint32 | id
| ID of this class, e.g. 'DFLT', 'WAYP', etc.
StringID | name
| Name of this class.
uint | stations
| Number of stations in this class.
StationSpec ** | spec
| Array of station specifications.

## Detailed Description

Struct containing information relating to station classes.

Definition at line 114 of file newgrf_station.h.

The documentation for this struct was generated from the following file:

- src/newgrf_station.h